%define name biopython
%define version 1.30
%define release 1mdk

Summary: The Biopython Project
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://biopython.org/files/%{name}-%{version}.tar.bz2
License: BSD
Group: Development/Python
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Url: http://www.biopython.org/
BuildRequires: python
BuildRequires: libpython-devel
BuildRequires: python-numeric-devel
BuildRequires: egenix-mx-base
Requires: python-numeric
Requires: python-reportlab
Requires: %{name}-martel = %{version}-%{release}

%package tools
Summary: Regression testing code and miscellaneous, possibly useful, standalone scripts.
Requires: %{name} = %{version}-%{release}
Group: Sciences/Biology

%package martel
Summary: Biopython parser generator. 
Group: Development/Python

%package biosql
Summary: Code for using Biopython with BioSQL databases.
Requires: %{name} = %{version}-%{release}
Group: Development/Python
Requires: pyPgSQL
Requires: MySQL-python

%package doc
Summary: The Biopython Project documentation.
Group: Development/Python
Requires: %{name} = %{version}-%{release}

%description
     "The Biopython Project" - http://www.biopython.org/ is an
international association of developers of freely available Python
tools for computational molecular biology.

biopython.org provides an online resource for modules, scripts, and
web links for developers of Python-based software for life science
research.

%description tools
     "The Biopython Project" - http://www.biopython.org/ is an
international association of developers of freely available Python
tools for computational molecular biology.

%description martel
Martel uses a modified form of the Perl regular expression language to 
describe the format of a file. The definition is used to generate a 
parser for that format. An input file is converted into a parse tree, 
which is traversed in prefix order to generate SAX 2.0 events, as used 
in XML processing. Element names and attributes are specified in the 
regular expression grammar using the named group extension popularized 
by Python. 

The events can be used by any SAX handler. Some of the common handlers 
can: build a DOM tree or any other data structures, load an XML database,
identify specific data fields (accession number, sequence, cross 
reference), find the record start and end positions, and drive an XSL 
transformation. 

%description biosql
BioSQL is meant to be a common data storage layer supported by all the
different Bio* projects, Bioperl, Biojava, Biopython, and Bioruby.
Entries stored through an application written in, say, Bioperl could
be retrieved by another written in Biojava.

%description doc
     "The Biopython Project" - http://www.biopython.org/ is an
international association of developers of freely available Python
tools for computational molecular biology.

biopython.org provides an online resource for modules, scripts, and
web links for developers of Python-based software for life science
research.


%prep
%setup

%install
python setup.py install --root=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/share/%{name}-%{version} 
cp -r Tests Scripts $RPM_BUILD_ROOT/usr/share/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%_libdir/python2.3/site-packages/Bio
%doc CONTRIB LICENSE PKG-INFO NEWS README


%files tools
%defattr(-,root,root,0755)
%_datadir/%{name}-%{version}/Tests
%_datadir/%{name}-%{version}/Scripts


%files martel
%defattr(-,root,root,0755)
%_libdir/python2.3/site-packages/Martel
%doc LICENSE


%files biosql
%defattr(-,root,root,0755)
%_libdir/python2.3/site-packages/BioSQL
%doc LICENSE

%files doc
%defattr(-,root,root,0755)
%doc Doc/*


%changelog
* Tue Aug 31 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.30-1mdk
- from Gaetan Lehmann <glehmann@netcourrier.com> :
	- Create package from scratch for mandrake system

